/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.aspects.versioned;
import org.jboss.aop.InstanceAdvised;
import org.jboss.util.id.GUID;

public class VersionReference implements java.io.Serializable
{
   private static final long serialVersionUID = 1567486678025136095L;

   private GUID guid;
   private transient InstanceAdvised advised;

   public VersionReference() {}

   public VersionReference(GUID guid)
   {
      this(guid, null);
   }
   public VersionReference(GUID guid, InstanceAdvised obj)
   {
      System.out.println("VERSION REFERENCE CREATION: " + guid);
      this.guid = guid;
      this.advised = obj;
   }
   public void set(InstanceAdvised obj) { this.advised = obj; }
   public InstanceAdvised get() { return advised; }
   public GUID getGUID() { return guid; }
}
